import { Component, OnInit } from '@angular/core';
import { NgxQrcodeElementTypes, NgxQrcodeErrorCorrectionLevels } from '@techiediaries/ngx-qrcode';
import { GlobalService } from '../global.service';

@Component({
  selector: 'app-scanqr',
  templateUrl: './scanqr.component.html',
  styleUrls: ['./scanqr.component.css']
})
export class ScanqrComponent implements OnInit {
  uniqueId: string ='';
  qrDetails : any = '';
  genOtp : any = '';
  phnNumber : any = '';

  constructor(public globals:GlobalService) {}

  ngOnInit(): void {

    this.globals.getQr().subscribe((res : any)=>{
      console.log(res);
      this.qrDetails = res;
      this.uniqueId = res.secret.otpauth_url;
      console.log(this.uniqueId);
    })
    
  }
  validate(){
    let postObj = {
      totp : this.genOtp,
      email : localStorage.getItem('email'),
      secret : this.qrDetails.secret
    }
    console.log(postObj)
    this.globals.validateQr(postObj).subscribe((res : any)=>{
      console.log(res);
    })
  }
  
}
